#pragma once


class CGotoCoordinatesDlg : public CDialog
{
public:
//Constructors / Destructors
  CGotoCoordinatesDlg(_In_opt_ CWnd* pParent = nullptr);
  CGotoCoordinatesDlg(const CGotoCoordinatesDlg&) = delete;
  CGotoCoordinatesDlg(CGotoCoordinatesDlg&&) = delete;
  ~CGotoCoordinatesDlg() = default; //NOLINT(modernize-use-override)

//Methods
  CGotoCoordinatesDlg& operator=(const CGotoCoordinatesDlg&) = delete;
  CGotoCoordinatesDlg& operator=(CGotoCoordinatesDlg&&) = delete;

//Member variables
  enum { IDD = IDD_GOTO_COORDINATES };
  double m_fLongitudeDegrees;
  double m_fLongitudeMinutes;
  double m_fLongitudeSeconds;
  double m_fLatitudeDegrees;
  double m_fLatitudeMinutes;
  double m_fLatitudeSeconds;

protected:
//Methods
  void DoDataExchange(CDataExchange* pDX) override;

  DECLARE_MESSAGE_MAP()

  DECLARE_DYNAMIC(CGotoCoordinatesDlg)
};
