#pragma once


class COSMCtrlAppDoc : public CDocument
{
protected: //create from serialization only
#pragma warning(suppress: 26455)
  COSMCtrlAppDoc() = default;

public:
//Constructors / Destructors
  COSMCtrlAppDoc(const COSMCtrlAppDoc&) = delete;
  COSMCtrlAppDoc(COSMCtrlAppDoc&&) = delete;
  ~COSMCtrlAppDoc() = default; //NOLINT(modernize-use-override)

//Methods
  COSMCtrlAppDoc& operator=(const COSMCtrlAppDoc&) = delete;
  COSMCtrlAppDoc& operator=(COSMCtrlAppDoc&&) = delete;
  BOOL OnNewDocument() override;
  void Serialize(CArchive& ar) noexcept override;
#ifdef _DEBUG
  void AssertValid() const override;
  void Dump(CDumpContext& dc) const override;
#endif //#ifdef _DEBUG

  DECLARE_MESSAGE_MAP()
  DECLARE_DYNCREATE(COSMCtrlAppDoc)
};
