#include "stdafx.h"
#include "OSMCtrlApp.h"
#include "SettingsDlg.h"


#pragma warning(suppress: 26433 26440 26477)
IMPLEMENT_DYNAMIC(CSettingsDlg, CDialog)

#pragma warning(suppress: 26455)
CSettingsDlg::CSettingsDlg(_In_opt_ CWnd* pParent) : CDialog{CSettingsDlg::IDD, pParent},
                                                     m_Type{static_cast<int>(ProxyServerType::UseSettingsFromIE)}
{
}

#pragma warning(suppress: 26429)
void CSettingsDlg::DoDataExchange(CDataExchange* pDX)
{
  __super::DoDataExchange(pDX);
  DDX_Radio(pDX, IDC_USE_SETTINGS_FROM_IE, m_Type);
  DDX_Text(pDX, IDC_PROXY_SERVER, m_sProxyServer);
  DDX_Text(pDX, IDC_BYPASS_LIST, m_sProxyServerBypassList);
  if (pDX->m_bSaveAndValidate)
  {
    if ((m_Type == static_cast<int>(ProxyServerType::SpecificProxyServer)) && m_sProxyServer.IsEmpty())
    {
      AfxMessageBox(_T("Please specify a valid proxy server"), MB_OK | MB_ICONEXCLAMATION);
      pDX->PrepareEditCtrl(IDC_PROXY_SERVER);
      pDX->Fail();
    }
  }
}

#pragma warning(suppress: 26433 26440)
BEGIN_MESSAGE_MAP(CSettingsDlg, CDialog) //NOLINT(clang-diagnostic-unused-local-typedef, modernize-avoid-c-arrays)
  ON_BN_CLICKED(IDC_NO_PROXY, &CSettingsDlg::OnClickedUseSettingsFromIE)
  ON_BN_CLICKED(IDC_USE_SETTINGS_FROM_IE, &CSettingsDlg::OnClickedUseSettingsFromIE)
  ON_BN_CLICKED(IDC_SPECIFIC_PROXY_SERVER, &CSettingsDlg::OnClickedUseSettingsFromIE)
END_MESSAGE_MAP()

void CSettingsDlg::OnClickedUseSettingsFromIE()
{
  CDataExchange DX(this, TRUE);
#pragma warning(suppress: 26486)
  DDX_Radio(&DX, IDC_USE_SETTINGS_FROM_IE, m_Type);
  GetDlgItem(IDC_PROXY_SERVER)->EnableWindow(m_Type == static_cast<int>(ProxyServerType::SpecificProxyServer));
  GetDlgItem(IDC_BYPASS_LIST)->EnableWindow(m_Type == static_cast<int>(ProxyServerType::SpecificProxyServer));
}

BOOL CSettingsDlg::OnInitDialog()
{
  __super::OnInitDialog();
  OnClickedUseSettingsFromIE();
  return TRUE;
}
