#pragma once


class CSettingsDlg : public CDialog
{
public:
//Enums
enum class ProxyServerType
{
  UseSettingsFromIE = 0,
  DirectConnection = 1,
  SpecificProxyServer =2
};

//Constructors / Destructors
  CSettingsDlg(_In_opt_ CWnd* pParent = nullptr);
  CSettingsDlg(const CSettingsDlg&) = delete;
  CSettingsDlg(CSettingsDlg&&) = delete;
  ~CSettingsDlg() = default; //NOLINT(modernize-use-override)

//Methods
  CSettingsDlg& operator=(const CSettingsDlg&) = delete;
  CSettingsDlg& operator=(CSettingsDlg&&) = delete;

//Member variables
  enum { IDD = IDD_SETTINGS };
  int m_Type;
  CString m_sProxyServer;
  CString m_sProxyServerBypassList;

protected:
//Methods
  void DoDataExchange(CDataExchange* pDX) override;
  BOOL OnInitDialog() override;

//Message handlers
  afx_msg void OnClickedUseSettingsFromIE();

  DECLARE_DYNAMIC(CSettingsDlg)
  DECLARE_MESSAGE_MAP()
};
