#pragma once


class CTilePropertiesDlg : public CDialog
{
public:
//Constructors / Destructors
  CTilePropertiesDlg(_In_opt_ CWnd* pParent = nullptr);
  CTilePropertiesDlg(const CTilePropertiesDlg&) = delete;
  CTilePropertiesDlg(CTilePropertiesDlg&&) = delete;
  ~CTilePropertiesDlg() = default; //NOLINT(modernize-use-override)

//Methods
  CTilePropertiesDlg& operator=(const CTilePropertiesDlg&) = delete;
  CTilePropertiesDlg& operator=(CTilePropertiesDlg&&) = delete;

//Member variables
  enum { IDD = IDD_TILE_PROPERTIES };
  CString m_sProvider;
  CString m_sURL;
  CString m_sCachePath;
  CString m_sDimensions;
  CString m_sCenterPosition;
  CString m_sTileCoordinates;
  CString m_sRerenderURL;
  CString m_sStatusURL;
  CLinkCtrl m_ctrlURL;
  CLinkCtrl m_ctrlCachePath;
  CLinkCtrl m_ctrlRerenderURL;
  CLinkCtrl m_ctrlStatusURL;

protected:
//Methods
  void DoDataExchange(CDataExchange* pDX) override;

//Message handlers
  afx_msg void OnNMClickURL(NMHDR* pNMHDR, LRESULT* pResult);
  afx_msg void OnNMClickCachePath(NMHDR* pNMHDR, LRESULT* pResult);

  DECLARE_MESSAGE_MAP()
  DECLARE_DYNAMIC(CTilePropertiesDlg)
};
