#pragma once


class CGPSSettingsDlg : public CDialog
{
public:
//Constructors / Destructors
  CGPSSettingsDlg(_In_opt_ CWnd* pParent = nullptr);
  CGPSSettingsDlg(const CGPSSettingsDlg&) = delete;
  CGPSSettingsDlg(CGPSSettingsDlg&&) = delete;
  ~CGPSSettingsDlg() = default; //NOLINT(modernize-use-override)

//Methods
  CGPSSettingsDlg& operator=(const CGPSSettingsDlg&) = delete;
  CGPSSettingsDlg& operator=(CGPSSettingsDlg&&) = delete;

//Member variables
  enum { IDD = IDD_GPS_SETTINGS };
  UINT m_nPort;
  int m_nBaudRate;
  int m_nParity;
  int m_nDataBits;
  int m_nStopBits;
  CComboBox m_ctrlPort;
  int m_nGPSCenter;
  BOOL m_bGPXTrackLog;
  BOOL m_bSensor;
  BOOL m_bChangeBearingOfMap;

protected:
//Methods
  void DoDataExchange(CDataExchange* pDX) override;
  BOOL OnInitDialog() override;

//Message handlers
  afx_msg void OnCbnSelchangePort();

  DECLARE_MESSAGE_MAP()

  DECLARE_DYNAMIC(CGPSSettingsDlg)
};
