#pragma once


class CMainFrame : public CFrameWnd
{
protected: // create from serialization only
#pragma warning(suppress: 26455)
  CMainFrame() = default;

public:
  CMainFrame(const CMainFrame&) = delete;
  CMainFrame(CMainFrame&&) = delete;
  ~CMainFrame() = default; //NOLINT(modernize-use-override)

//Methods
  CMainFrame& operator=(const CMainFrame&) = delete;
  CMainFrame& operator=(CMainFrame&&) = delete;
  BOOL PreCreateWindow(CREATESTRUCT& cs) override;
#ifdef _DEBUG
  void AssertValid() const override;
  void Dump(CDumpContext& dc) const override;
#endif //#ifdef _DEBUG

protected:
//Member variables
  CStatusBar m_wndStatusBar;
  CToolBar m_wndToolBar;

//Message handlers
  afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
  afx_msg void OnUpdatePosition(CCmdUI* pCmdUI);
  afx_msg void OnUpdateLength(CCmdUI* pCmdUI);

  DECLARE_MESSAGE_MAP()

  DECLARE_DYNCREATE(CMainFrame)
};
