#pragma once


class CSearchDlg : public CDialog
{
  DECLARE_DYNAMIC(CSearchDlg)

public:
//Constructors / Destructors
  CSearchDlg(_In_opt_ CWnd* pParent = nullptr);
  CSearchDlg(const CSearchDlg&) = delete;
  CSearchDlg(CSearchDlg&&) = delete;
  ~CSearchDlg() = default; //NOLINT(modernize-use-override)

//Methods
  CSearchDlg& operator=(const CSearchDlg&) = delete;
  CSearchDlg& operator=(CSearchDlg&&) = delete;

//Member variables
  enum { IDD = IDD_SEARCH };
  CString m_sSearch;

protected:
//Methods
  void DoDataExchange(CDataExchange* pDX) override;

  DECLARE_MESSAGE_MAP()
};
