#include "stdafx.h"
#include "OSMCtrlApp.h"
#include "SearchResultsDlg.h"


#pragma warning(suppress: 26433 26440 26477)
IMPLEMENT_DYNAMIC(CSearchResultsDlg, CDialog)

#pragma warning(suppress: 26433 26440)
BEGIN_MESSAGE_MAP(CSearchResultsDlg, CDialog) //NOLINT(clang-diagnostic-unused-local-typedef, modernize-avoid-c-arrays)
  ON_LBN_DBLCLK(IDC_SEARCH_RESULTS, &CSearchResultsDlg::OnLbnDblclkSearchResults)
END_MESSAGE_MAP()


#pragma warning(suppress: 26455)
CSearchResultsDlg::CSearchResultsDlg(_In_opt_ CWnd* pParent) : CDialog{CSearchResultsDlg::IDD, pParent},
                                                               m_pResults{nullptr},
                                                               m_nResult{0}
{
}

void CSearchResultsDlg::DoDataExchange(CDataExchange* pDX)
{
  __super::DoDataExchange(pDX);
  DDX_Control(pDX, IDC_SEARCH_RESULTS, m_ctrlResults);

  //Add the items to the list box
  if (!pDX->m_bSaveAndValidate)
  {
    if (m_pResults != nullptr)
    {
      m_ctrlResults.ResetContent();
#pragma warning(suppress: 26472)
      const int nResults{static_cast<int>(m_pResults->size())};
      for (int i=0; i<nResults; i++)
#pragma warning(suppress: 26446)
        m_ctrlResults.InsertString(i, (*m_pResults)[i].m_sDisplayName.c_str());
    }
  }

  DDX_LBIndex(pDX, IDC_SEARCH_RESULTS, m_nResult);
}

void CSearchResultsDlg::OnLbnDblclkSearchResults()
{
  if (UpdateData(TRUE))
    EndDialog(IDOK);
}
