//////////////////// Macros / Includes ////////////////////////////////////////

#pragma once

#include "cnominatim.h" //If you get a compilation error about this missing header file, then you need to download my CNominatim class from http://www.naughter.com/nominatim.html


//////////////////// Classes //////////////////////////////////////////////////

class CSearchResultsDlg : public CDialog
{
public:
//Constructors / Destructors
  CSearchResultsDlg(_In_opt_ CWnd* pParent = nullptr);
  CSearchResultsDlg(const CSearchResultsDlg&) = delete;
  CSearchResultsDlg(CSearchResultsDlg&&) = delete;
  ~CSearchResultsDlg() = default; //NOLINT(modernize-use-override)

//Methods
  CSearchResultsDlg& operator=(const CSearchResultsDlg&) = delete;
  CSearchResultsDlg& operator=(CSearchResultsDlg&&) = delete;

//Member variables
  enum { IDD = IDD_SEARCH_RESULTS };
  CListBox m_ctrlResults;
  Nominatim::CSearchPlaceArray* m_pResults;
  int m_nResult;

protected:
//Methods
  void DoDataExchange(CDataExchange* pDX) override;

//Message handlers
  afx_msg void OnLbnDblclkSearchResults();

  DECLARE_DYNAMIC(CSearchResultsDlg)
  DECLARE_MESSAGE_MAP()
};
